Subject: Re: [MOBILE-IP] Architectural v.s. Incremental Lession for Fast Handoff Discussion

From: Roberts Philip-qa3445 <[email-masked]>
Date: Thu, 21 Dec 2000 08:43:02 -0600

> ----------
> From:         Bernard Aboba
> Reply To:     Bernard Aboba
> Sent:         Thursday, December 21, 2000 4:19 AM
> To:   [email-masked]
> Subject:      Re: [MOBILE-IP] Architectural v.s. Incremental Lession for Fast             Handoff Discussion
>
> >If we merge the proposals, I wonder if, two years from now, one of our
> working group chairs won't be
> >up on stage at the plenium giving exactly the same presentation as Randy
> did but for
> >mobile IP.
>
> >I'd therefore like to ask the working group to reconsider its hum for
> merging.
>
> If there's anything I've learned over the last few years in the IETF, it is
> that
> merging two proposals for the sake of "consensus" is often a very bad idea.
> Too
> frequently we end up with the worst aspects of both proposals, an outcome
> which
> is often worse than choosing one or the other. It is often better to choose
> one
> architecturally clean proposal, even if all of the "features" that are
> desired
> can't be shoehorned into it.
>
>
I agree with your sentiment here.  I'd like to hear more discussion from the working group on a particular course of action.  The design team went round on this a couple of times also.

I expect to get some guidance from our AD soon and will share that with the list.

In the meantime perhaps we could get some feedback on the following possibilities:
1) we've heard a few sentiments on not combining for a couple of different reasons
2) combining the two drafts seemed to have significant support within the room at San Diego
3) a third possibility that has been suggested is trying to reuse the work of the v6 design team to come up with a v4 proposal

This is a good time to hear the thoughts of the working group.

Phil